# Method Search.Query.execute()

Method execute

  ``array`(`Search.ResultSet`|`array`(`string`)) execute(`Search.Database.Base` `db`, `Search.Grammar.AbstractParser` `parser`, `string` `query`, `Search.RankingProfile` `ranking`, `void`|`array`(`string`) `stop_words`, `void`|``search_order`` `order`)`

Parameter `query`

  The query string entered by user.

Parameter `db`

  The search database.

Parameter `defaultRanking`

  Used when searching in the field "any:".

Returns

  An array with three elements:

  Array
  ``Search.ResultSet` `0`` | The ResultSet containing the hits.
  ``array`(`string`) `1`` | All wanted words in the query. (I.e. not the words that were preceded by minus.)
  ``array`(`mapping`) `2`` | All wanted globs in the query. (I.e. not the globs that were preceded by minus.)